<template>
  <div justify="center">
    <v-dialog v-model="dialog" persistent max-width="350">
      <v-card class="pa-2">
        <v-icon color="#F32626" size="100px">{{ notifIcon }}</v-icon>
        <v-card-title class="title-card mx-auto">{{ title }}</v-card-title>
        <p class="text-center">{{ message }}</p>
        <v-card-actions class="pa-0">
          <v-spacer></v-spacer>
          <v-btn
            @click.prevent="dialog = false"
            color="#f26525"
            block
            width="100%"
            dark
          >
            <span class="text-capitalize">Okay</span>
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </div>
</template>

<script>
export default {
  name: "AppModalDialog",
  props: {
    value: Boolean,
    type: {
      type: String,
      default: "info",
      validator: val => ["success", "info", "error"].includes(val)
    },
    title: {
      type: String,
      default: "Notification"
    },
    message: {
      type: String,
      default: "message",
      required: true
    }
  },
  computed: {
    dialog: {
      get() {
        return this.value;
      },
      set(value) {
        this.$emit("input", value);
      }
    },
    notifIcon() {
      switch (this.type) {
        case "success":
          return "mdi-checkbox-marked-circle-outline";
        case "info":
          return "mdi-information";
        case "error":
          return "mdi-close-circle-outline";
        default:
          return "mdi-checkbox-blank";
      }
    },
    iconColor() {
      switch (this.type) {
        case "success":
          return "success";
        case "info":
          return "blue ligthen-3";
        case "error":
          return "error";
        default:
          return "primary";
      }
    }
  }
};
</script>
